let mix = require('laravel-mix');

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel application. By default, we are compiling the Sass
 | file for your application, as well as bundling up your JS files.
 |
 */

// Admin
mix.sass( 'admin/assets/src/settings.scss', 'admin/assets/css/settings.css' );

mix.react( 'admin/assets/src/main.js', 'admin/assets/js/settings.js' );

// Public
mix.sass( 'public/assets/src/gsip-public.scss', 'public/assets/css/gsip-public.css' );

mix.react( 'public/assets/src/gsip-public.js', 'public/assets/js/gsip-public.js' );

mix.options({
  processCssUrls: false
});
