import React from 'react';
import { NavLink } from "react-router-dom";

import ThemesTable from '../ThemesList/ThemesTable';

class Themes extends React.Component {
  render() {
    return (
      <div className="gs-instagram-page-wrapper">
        <div className="gs-instagram-page-heading">
          <p className="gs-title">
            <span>All Shortcodes</span>
            <NavLink to="/themes/create" className="gs-instagram-button heading-link">Add New Shortcode</NavLink>
          </p>
          <p className="gs-subtitle">List of all your instagram themes shortcodes. Insert their shortcodes to pages or widgets to display them.</p>
        </div>

        <ThemesTable />
      </div>
    );
  }
}

export default Themes;
